python-lgtv
===========

Simple class for pairing with and controlling your 2011 LG TV with python.

**For 2012+ TVs check out the original of this fork at https://github.com/grieve/python-lgtv**

**This library does not appear to support the newer WebOS LG TVs. Please see https://github.com/klattimer/LGWebOSRemote if this does not work for you.**

You can find all TVs on the network using the `find_tvs` class method.

**This was only tested with a 42LW579S-ZD

```
from lg import Remote

addresses = Remote.find_tvs()
```
If you have only one, it'll be faster to use the `first_only` parameter.

```
address = Remote.find_tvs(first_only=True)
```

You will need a pairing key, if you already know it you can initiate the Remote class with it as second parameter. Otherwise you can create your remote control instance and it'll ask the TV to display it onscreen. You can then provide this pairing key using the `set_pairing_key` method.

```
remote = Remote(address)
# Pairing key will appear on screen
key = raw_input('Please enter pairing key: ')
remote.set_pairing_key(key)
```

After this you can send single or multiple commands using `send_command` and `send_multiple`.

```
remote.send_command(Remote.audio_controls["VOLUME_UP"])

commands = [Remote.HOME, Remote.EXIT, Remote.MENU]
remote.send_multiple(commands)
```

An optional `delay` parameter can be provided to `send_multiple`; this will the amount of seconds the control will wait between commands. N.B. Sending commands too fast can cause some of them to be ignored.

Shortcuts-structure is subject to change. They still can be looked up in `lg.py`. Be careful on your journey!
